# SimpleNg

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 13.0.4.

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via a platform of your choice. To use this command, you need to first add a package that implements end-to-end testing capabilities.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.io/cli) page.

### start

```
npm run start
npm start
```

### ติดตั้ง lib

```
ng add @angular/material
ng add @angular/pwa --project "simple-ng"
npm install --save @angular/flex-layout
npm install --save @angular/cdk
```

### สร้าง component

```
npm run ng g c page/home
npm run ng g c page/gbhr
```

### สร้าง service

```
npm run ng g service shared/gbhr
```

### generate component

```
npm run ng g c page/gbhr-list
```
